TIBCO EMS .NET API 8.5 TIBCO EMS .NET API 8.5

- Main Page
- Related Pages
- Namespaces
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Public Attributes | Properties | List of all members
TIBCO.EMS.ADMIN.ServerInfo Class Reference

This class represents configuration parameters for a TIBCO Enterprise Message Service server. More...

## Public Member Functions
void | DisableClientTracing ()
| Turn off client tracing, clearing all filtering settings. More...
void | EnableClientTracing ()
| Enable client tracing with default settings. More...
void | EnableClientTracing (ClientTraceTarget target, ClientTraceFilter filterType, System.Object filterValue)
| Enable client tracing with specific settings. More...
override string | ToString ()
| Returns a String that represents the current Object More...

## Public Attributes
const int | DETAIL_PRODUCERS = (1 << 1)
const int | DETAIL_CONSUMERS = (1 << 2)
const int | DETAIL_ROUTES = (1 << 3)
const int | DETAIL_CHANNELS = (1 << 4)

## Properties
string | ConfigFile`[get]`
| Get the name and location of the main configuration file. More...
string | UsersFile`[get]`
| Get the name and location of the configuration file containing the definitions of users. More...
string | GroupsFile`[get]`
| Get the name and location of the configuration file containing the definitions of groups. More...
string | TopicsFile`[get]`
| Get the name and location of the configuration file containing the definitions of topics. More...
string | QueuesFile`[get]`
| Get the name and location of the configuration file containing the definitions of queues. More...
string | ACLsFile`[get]`
| Get the name and location of the configuration file containing the definitions of acls. More...
string | FactoriesFile`[get]`
| Get the name and location of the configuration file containing the definitions of connection factories. More...
string | RoutesFile`[get]`
| Get the name and location of the configuration file containing the definitions of routes. More...
string | BridgesFile`[get]`
| Get the name and location of the configuration file containing the definitions of bridges. More...
string | TransportsFile`[get]`
| Get the name and location of the configuration file containing the definitions of external transports. More...
string | TibrvcmFile`[get]`
| Get the name and location of the configuration file containing the definitions of pre-configured TIBCO Rendezvous Certified Messaging listeners. More...
string | DurablesFile`[get]`
| Get the name and location of the configuration file containing the definitions of pre-configured durable subscribers. More...
string | ChannelsFile`[get]`
| Get the name and location of the configuration file containing the definitions of pre-configured multicast channels. More...
string | StoresFile`[get]`
| Get the name and location of the configuration file containing the definitions of pre-configured stores. More...
long | RouteRecoverInterval`[get]`
| Get route recover interval in milliseconds. More...
int | RouteRecoverCount`[get]`
| Get route recover message count. More...
long | ServerRateInterval`[get, set]`
| Get or set the server statistics rate interval in milliseconds. More...
long | RateInterval`[get, set]`
| Get or set the statistics rate interval in milliseconds. More...
long | StatisticsCleanupInterval`[get, set]`
| Get or set the statistics cleanup interval in milliseconds. More...
bool | StatisticsEnabled`[get, set]`
| Get or set whether or not statistics are enabled. More...
int | DetailedStatistics`[get, set]`
| Get or set the detailed statistics flags. More...
long | MaxStatisticsMemory`[get, set]`
| Get or set the maximum amount of memory that will be allocated to collecting statistics. More...
long | MulticastStatisticsInterval`[get, set]`
| Get or set the multicast statistics interval in milliseconds. More...
int | XADefaultTimeout`[get]`
| Get the default timeout for XA transactions in seconds. More...
string | ServerName`[get]`
| Get the name of the server. More...
bool | Appliance`[get]`
| Gets whether or not this server instance is running in an appliance. More...
string | LogFileName`[get]`
| Get the log file name. More...
string | SecondaryLogFileName`[get]`
| Get the secondary log file name. More...
long | LogFileMaxSize`[get]`
| Get the maximum allowed size of the log file. More...
int | LogFileMaxCount`[get]`
| Get the maximum allowed number of log files. More...
string[] | ListenPorts`[get]`
| Get the server's listener ports. More...
string | Hostname`[get]`
| Get the hostname of the connected server. More...
string | BackupName`[get]`
| Get the server name and host name of the backup server connected to this server. More...
int | ProcessId`[get]`
| Get the current process id of the server. More...
State | State`[get]`
| Get the current state of the server. More...
StateObj | StateObj`[get]`
| Get the current state of the server. More...
string | RuntimeModulePath`[get]`
| Get the module path's runtime value, which may be different from the value configured. More...
VersionInfo | VersionInfo`[get]`
| Get the version of TIBCO Enterprise Message Service that the server binary is from. More...
bool | Evaluation`[get]`
| Indicates whether the server binary is an evaluation copy or a fully licensed one. More...
int | OverallSyncProgress`[get]`
| Get the current overall progress of the synchronization of store files for this server when it is running in the EMS Appliance. More...
string | FaultTolerantURL`[get]`
| Get the URL of the fault-tolerant server for this server. More...
int | FaultTolerantHeartbeat`[get]`
| Get the period (in seconds) of the heartbeat messages sent by the active server. More...
int | FaultTolerantActivation`[get]`
| Get the length of time a backup server will wait for a heartbeat message before concluding that the active server has failed. More...
int | FaultTolerantReconnectTimeout`[get]`
| Get the length of time a server which has just become the active server following a failover will wait for clients to reconnect before their state is removed from the shared state. More...
bool | FaultTolerantFailoverReread`[get]`
| Deprecated as of 6.0 More...
long | StartTime`[get]`
| Get the server start time. More...
long | UpTime`[get]`
| Get the server uptime. More...
bool | TibrvTransportsEnabled`[get]`
| Indicates whether or not bridging to and from transports of type tibrv and tibrvcm is enabled. More...
bool | TibssTransportsEnabled`[get]`
| Indicates whether or not bridging to and from SmartSockets transports is enabled. More...
bool | AuthorizationEnabled`[get, set]`
| Gets or sets whether or not authorization of user credentials and permissions is enabled. More...
AuthenticationLocation[] | UserAuthLocations`[get]`
| Gets an array indicating where users will be authenticated. More...
bool | RoutingEnabled`[get]`
| Indicates whether or not routing of messages between servers is enabled. More...
bool | MulticastEnabled`[get]`
| Indicates whether or not multicast is enabled. More...
bool | FlowControlEnabled`[get]`
| Indicates whether or not flow control is enabled. More...
int | NPSendCheckMode`[get]`
| Returns global send check mode for NON_PERSISTENT messages. More...
int | ClockSyncInterval`[get]`
| Returns interval between clock synchronization commands sent by this server to its clients. These commands ensure that clients expire messages consistently with the server when one or other machines' clocks are changed or drift apart. More...
int | ServerHeartbeatServerInterval`[get]`
| Returns interval between heartbeats this server requests other servers to send to this server. More...
int | ServerTimeoutServerConnection`[get]`
| Returns timeout after which this server destroys connection fromanother server if heartbeats were not being received. More...
int | ClientHeartbeatServerInterval`[get]`
| Returns interval between heartbeats this server requests client connections to send to this server. More...
int | ServerTimeoutClientConnection`[get]`
| Returns timeout after which this server destroys connection from client application if heartbeats were not being received. More...
int | ServerHeartbeatClientInterval`[get]`
| Returns interval between heartbeats this server sends to client connections. More...
int | ClientTimeoutServerConnection`[get]`
| Returns timeout after which clients terminate connection to this server if they do not receive heartbeats from this server. More...
string | StoreDirectory`[get]`
| Get the directory in which the server is storing its store files. More...
long | StoreMinimum`[get]`
| Get the minimum size of the server store files. More...
long | StoreSyncMinimum`[get]`
| Get the minimum size of the server's synchronous store file. More...
long | StoreAsyncMinimum`[get]`
| Get the minimum size of the server's asynchronous store file. More...
bool | StoreTruncateEnabled`[get]`
| Indicates whether or no the server will attempt to truncate the store files when possible. More...
bool | StoreCRCEnabled`[get]`
| Indicates whether or not the server uses CRC verification when reading data from the store files. More...
int | MaxConnections`[get]`
| Get the maximum number of connections this server will allow. More...
TraceInfo | LogTraceInfo`[get, set]`
| Get or set the trace settings that determine what will be logged in the server's log file. More...
TraceInfo | ConsoleTraceInfo`[get, set]`
| Get or set the trace settings that determine what will be logged to the server's console window. More...
TraceInfo | TraceBufferTraceInfo`[get, set]`
| Reserved for internal provider use only. Do not use this property. More...
long | TraceBufferSize`[get, set]`
| Reserved for internal provider use only. Do not use this property. More...
bool | ClientTraceEnabled`[get]`
| Indicates whether or not client tracing has been enabled. More...
ClientTraceTarget | ClientTraceTarget`[get]`
| Get the current target for client tracing. More...
ClientTraceFilter | ClientTraceFilterType`[get]`
| Get the current filter type for client tracing. More...
System.Object | ClientTraceFilterValue`[get]`
| Get the value that clients must match in order to be traced. More...
int | QueueCount`[get]`
| Get the number of queues in the server. More...
int | TopicCount`[get]`
| Get the number of topics in the server. More...
int | ConnectionCount`[get]`
| Get the number of connections to the server. More...
int | ClientConnectionCount`[get]`
| Get the number of client connections to the server. More...
int | AdminConnectionCount`[get]`
| Get the number of admin connections to the server. More...
int | SessionCount`[get]`
| Get the number of sessions created by client applications. More...
int | ProducerCount`[get]`
| Get the total number of producers. More...
int | ConsumerCount`[get]`
| Get the total number of consumers. More...
int | DurableCount`[get]`
| Get the number of durable subscribers in the server. More...
long | PendingMessageCount`[get]`
| Get the total number of pending messages for this server. More...
long | PendingMessageSize`[get]`
| Get the total size of pending messages for this server. More...
long | InboundMessageCount`[get]`
| Get the number of inbound messages for the server. More...
long | OutboundMessageCount`[get]`
| Get the number of outbound messages for the server. More...
long | InboundMessageRate`[get]`
| Get the number of inbound messages per second for the server as a whole. More...
long | OutboundMessageRate`[get]`
| Get the number of outbound messages per second for the server as a whole. More...
long | InboundBytesRate`[get]`
| Get the volume of inbound messages per second for the server as a whole. More...
long | OutboundBytesRate`[get]`
| Get the volume of outbound messages per second for the server as a whole. More...
long | LogFileSize`[get]`
| Get the total size of the log file. More...
long | SyncDBSize`[get]`
| Get the current size of the synchronous message store. More...
long | AsyncDBSize`[get]`
| Get the current size of the asynchronous message store. More...
long | MsgMem`[get]`
| Get the amount of memory in use to store messages. More...
long | MsgMemPooled`[get]`
| Get the amount of memory in use by the message pools. More...
long | DiskReadRate`[get]`
| Get the rate at which messages are being read from storage. Does not apply to database stores. More...
long | DiskWriteRate`[get]`
| Get the rate at which messages are being written to storage. Does not apply to database stores. More...
long | DiskReadOperationsRate`[get]`
| Get the rate at which messages are being read from storage. More...
long | DiskWriteOperationsRate`[get]`
| Get the rate at which messages are being written to storage. More...
LDAPParams | LDAPParams`[get]`
| Get the LDAP parameters used by the server when authenticating through LDAP server. More...
SSLParams | SSLParams`[get]`
| Get the SSL parameters used by the server when communicating with SSL clients. More...
FTLParams | FTLParams`[get]`
| Get the FTL parameters used by the server for the FTL gateway. More...
int | SSLDHSize`[get]`
| Get the size of the Diffie-Hellman key used by the server for client communications. More...
bool | SSLRequireClientCert`[get]`
| Indicates whether or not the server will only accept SSL clients that have certificates. More...
bool | SSLRequireRouteCertOnly`[get]`
| Indicates whether or not the server requires a certificate only for incoming route SSL connections, while leaving the other types of connections unaffected (clients and FT peer). More...
bool | SSLUserCertUsername`[get]`
| Indicates whether or not the client's username is always extracted from the CN field of the client's digital certificate. More...
string | SSLCertUserSpecname`[get]`
| Get the username clients will use to connect to the server when their username is to be extracted from the CN field of their digital certificate. More...
SSLParams | FaultTolerantSSLParams`[get]`
| Get the server's Fault Tolerant SSL parameters. These are the parameters that the server uses to connect to its Fault Tolerant partner. More...
bool | TrackCorrelationIds`[get, set]`
| Gets or sets whether or not tracking messages by correlation ID is enabled. More...
bool | TrackMsgIds`[get, set]`
| Gets or sets whether or not tracking messages by message ID is enabled. More...
string | Password`[set]`
| Set the new server password. More...
string | SSLPassword`[set]`
| Set the new server's private key or PKCS12 file password. More...
string | FTSSLPassword`[set]`
| Set the new private key or PKCS12 file password for fault-tolerant SSL connection. More...
long | MaxMsgMemory`[get, set]`
| Get or set the maximum allowed message memory. More...
long | ReserveMemory`[get]`
| Get the amount of reserve memory in bytes. More...
long | MaxClientMsgSize`[get]`
| Get the maximum allowed size of an incoming client message. More...
int | DestinationBacklogSwapout`[get]`
| Get the per destination limit of backlogged messages which are not automatically swapped out. More...
long | MessagePoolBlockSize`[get]`
| Get the value of the msg_pool_block_size setting. More...
long | MessagePoolSize`[get]`
| Get the value of the msg_pool_size setting. More...
bool | MessageSwappingEnabled`[get, set]`
| Get or set whether or not server message swapping is enabled. More...
long | LargeDestMemory`[get, set]`
| Get or set the amount of message memory in bytes that an unbounded destination can hold before the server starts logging warnings about the destination's size. More...
long | LargeDestCount`[get, set]`
| Get or set the number of messages that an unbounded destination can hold before the server starts logging warnings about the destination's message count. More...
bool | AlwaysExitOnDiskErrorEnabled`[get, set]`
| Get or set whether or not the server will exit on any disk error. More...
string | HealthCheckListen`[get]`
| Get the configured listen URL for an EMS HTTP health check service. More...
string | SecondaryHealthCheckListen`[get]`
| Get the configured secondary listen URL for an EMS HTTP health check service. More...
bool | FSyncEnabled`[get]`
| Indicates whether or not the fsync mode is used by the server when writing data to its store file. More...
ConfigurationMode | ServerConfigurationMode`[get]`
| Gets the configuration mode of the server. More...
string | URL`[get]`
| Get the URL that should be used to contact this server. More...
string | DbStoreClasspath`[get]`
string | DbStoreJDBCDriverName`[get]`
string | DbStoreJDBCDialect`[get]`
string | JRELibrary`[get]`

## Detailed Description

This class represents configuration parameters for a TIBCO Enterprise Message Service server.

Changes made to this object will not take effect on the server until the changes are saved with a call to Admin.UpdateServer().

## Member Function Documentation

void TIBCO.EMS.ADMIN.ServerInfo.DisableClientTracing | ( |  | ) |
| inline

Turn off client tracing, clearing all filtering settings.

void TIBCO.EMS.ADMIN.ServerInfo.EnableClientTracing | ( |  | ) |
| inline

Enable client tracing with default settings.

Default settings are that the target is stderr and there is no filtering.

void TIBCO.EMS.ADMIN.ServerInfo.EnableClientTracing | ( | ClientTraceTarget | target,
|  | ClientTraceFilter | filterType,
|  | System.Object | filterValue
| ) |  |
| inline

Enable client tracing with specific settings.

Parameters

  target | target for client tracing, must be either ClientTraceTarget.Stdout or ClientTraceTarget.Stderr.
  filterType | type of filter to be applied, either ClientTraceFilter.None for no filtering or one of ClientTraceFilter.User, ClientTraceFilter.ClientID or ClientTraceFilter.ConnID.
  filterValue | value a client needs to match for client tracing to be enabled. For ClientTraceFilter.User and ClientTraceFilter.ClientID this must be a string, for ClientTraceFilter.ConnID must be an Int64.

Exceptions

  ArgumentException | if target or filterType are not valid or the type of filterValue does not match the type required for the given filterType.

override string TIBCO.EMS.ADMIN.ServerInfo.ToString | ( |  | ) |
| inline

Returns a String that represents the current Object

summary> Get the classpath set for the database store. /summary> returns> The value of the setting. Null will be returned if this server is using a database store. /returns>

## Member Data Documentation

const int TIBCO.EMS.ADMIN.ServerInfo.DETAIL_CHANNELS = (1 << 4)

Deprecated:
  As of release 8.3

const int TIBCO.EMS.ADMIN.ServerInfo.DETAIL_CONSUMERS = (1 << 2)

const int TIBCO.EMS.ADMIN.ServerInfo.DETAIL_PRODUCERS = (1 << 1)

const int TIBCO.EMS.ADMIN.ServerInfo.DETAIL_ROUTES = (1 << 3)

## Property Documentation

string TIBCO.EMS.ADMIN.ServerInfo.ACLsFile
| get

Get the name and location of the configuration file containing the definitions of acls.

Returns
  the name (including full path) of the acls file.

int TIBCO.EMS.ADMIN.ServerInfo.AdminConnectionCount
| get

Get the number of admin connections to the server.

Returns
  the number of admin connections.

Since EMS 8.4.0

bool TIBCO.EMS.ADMIN.ServerInfo.AlwaysExitOnDiskErrorEnabled
| get set

Get or set whether or not the server will exit on any disk error.

Returns
  true if the server will exit on any disk error, false otherwise.

Since EMS 8.4.0

bool TIBCO.EMS.ADMIN.ServerInfo.Appliance
| get

Gets whether or not this server instance is running in an appliance.

Returns
  true if this server instance is running in an appliance, false otherwise.

Since EMS 8.1.0

long TIBCO.EMS.ADMIN.ServerInfo.AsyncDBSize
| get

Get the current size of the asynchronous message store.

Returns
  the size in bytes.

bool TIBCO.EMS.ADMIN.ServerInfo.AuthorizationEnabled
| get set

Gets or sets whether or not authorization of user credentials and permissions is enabled.

Returns
  true if authorization is enabled, false otherwise.

true if authorization is to be enabled, false if it is to be disabled.

string TIBCO.EMS.ADMIN.ServerInfo.BackupName
| get

Get the server name and host name of the backup server connected to this server.

Returns
  the server name and host name of the backup server in the form server-name-name. Returns null if this is not an active server or there is no backup server connected to this server.

string TIBCO.EMS.ADMIN.ServerInfo.BridgesFile
| get

Get the name and location of the configuration file containing the definitions of bridges.

Returns
  the name (including full path) of the bridges file.

string TIBCO.EMS.ADMIN.ServerInfo.ChannelsFile
| get

Get the name and location of the configuration file containing the definitions of pre-configured multicast channels.

Returns
  the name (including full path) of the channels file.

Deprecated:
  As of release 8.3

int TIBCO.EMS.ADMIN.ServerInfo.ClientConnectionCount
| get

Get the number of client connections to the server.

Returns
  the number of client connections.

Since EMS 8.4.0

int TIBCO.EMS.ADMIN.ServerInfo.ClientHeartbeatServerInterval
| get

Returns interval between heartbeats this server requests client connections to send to this server.

Returns
  interval in seconds or 0 if not specified and heartbeats are not sent.

ServerTimeoutClientConnection

int TIBCO.EMS.ADMIN.ServerInfo.ClientTimeoutServerConnection
| get

Returns timeout after which clients terminate connection to this server if they do not receive heartbeats from this server.

Returns
  timeout interval in seconds or 0 if not specified and clients do not check heartbeats from this server.

ServerHeartbeatClientInterval

bool TIBCO.EMS.ADMIN.ServerInfo.ClientTraceEnabled
| get

Indicates whether or not client tracing has been enabled.

Returns
  true if client tracing is enabled, false otherwise.

ClientTraceFilter TIBCO.EMS.ADMIN.ServerInfo.ClientTraceFilterType
| get

Get the current filter type for client tracing.

If a filter is set then only clients that match the value for the filter will be traced.

Returns
  ClientTraceFilter.None if client tracing is not enabled or no filter is set, ClientTraceFilter.User if only clients with a matching user are to be traced, ClientTraceFilter.ClientID if only clients with a matching client id are to be traced and ClientTraceFilter.ConnID if only clients with a matching client id are to be traced.

System.Object TIBCO.EMS.ADMIN.ServerInfo.ClientTraceFilterValue
| get

Get the value that clients must match in order to be traced.

If the filtering is by user or client id then the object returned is a string. If the filtering is by connection id then the object returned is an Int64. If there is no filtering or client tracing is not enabled then null is returned.

Returns
  the value a client must match in order to be traced.

ClientTraceTarget TIBCO.EMS.ADMIN.ServerInfo.ClientTraceTarget
| get

Get the current target for client tracing.

Returns
  ClientTraceTarget.None if client tracing is not enabled, ClientTraceTarget.Stdout if client tracing is enabled and is directed to stdout and ClientTraceTarget.Stderr if client tracing is enabled and is directed to stderr.

int TIBCO.EMS.ADMIN.ServerInfo.ClockSyncInterval
| get

Returns interval between clock synchronization commands sent by this server to its clients. These commands ensure that clients expire messages consistently with the server when one or other machines' clocks are changed or drift apart.

Returns
  interval in seconds. 0 indicates that the clocks are only synchronized when the client connects to the server. A value of -1 indicates that no clock synchronization is done at all and it is assumed that the client and server clocks are always in sync.

Since EMS 6.1

string TIBCO.EMS.ADMIN.ServerInfo.ConfigFile
| get

Get the name and location of the main configuration file.

Returns
  the name (including full path) of the main configuration file.

int TIBCO.EMS.ADMIN.ServerInfo.ConnectionCount
| get

Get the number of connections to the server.

Returns
  the number of connections.

TraceInfo TIBCO.EMS.ADMIN.ServerInfo.ConsoleTraceInfo
| get set

Get or set the trace settings that determine what will be logged to the server's console window.

This method does not copy the TraceInfo object. Therefore, to modify the trace settings, one needs to modify the TraceInfo object returned by this method and save the ServerInfo object.

Returns
  a TraceInfo object representing the current console trace settings.

int TIBCO.EMS.ADMIN.ServerInfo.ConsumerCount
| get

Get the total number of consumers.

Returns
  total number of consumers.

since EMS 4.4

string TIBCO.EMS.ADMIN.ServerInfo.DbStoreClasspath
| get

summary> Get the JDBC driver name for the database store. /summary> returns> The value of the setting. Null will be returned if this server is using a database store. /returns>

string TIBCO.EMS.ADMIN.ServerInfo.DbStoreJDBCDialect
| get

summary> Get the JVM library being used by the server. /summary> returns> The value of the setting. Null will be returned if this server does not have the jvm enabled. /returns>

string TIBCO.EMS.ADMIN.ServerInfo.DbStoreJDBCDriverName
| get

summary> Get the JDBC dialect set for the database store. /summary> returns> the value of the setting. Null will be returned if this server is using a database store. /returns>

int TIBCO.EMS.ADMIN.ServerInfo.DestinationBacklogSwapout
| get

Get the per destination limit of backlogged messages which are not automatically swapped out.

Returns
  limit of unswapped backlogged messages per destination.

int TIBCO.EMS.ADMIN.ServerInfo.DetailedStatistics
| get set

Get or set the detailed statistics flags.

Returns
  the detailed statistics flags.

any combination of DETAIL_PRODUCERS, DETAIL_CONSUMERS, DETAIL_ROUTES and DETAIL_CHANNELS flags combined by the bitwise OR operator (|). If value is 0, gathering of all detailed statistics are disabled.

Exceptions

  ArgumentException | if value contains invalid flags.

long TIBCO.EMS.ADMIN.ServerInfo.DiskReadOperationsRate
| get

Get the rate at which messages are being read from storage.

Returns
  the operations per second.

long TIBCO.EMS.ADMIN.ServerInfo.DiskReadRate
| get

Get the rate at which messages are being read from storage. Does not apply to database stores.

Returns
  the bytes per second.

long TIBCO.EMS.ADMIN.ServerInfo.DiskWriteOperationsRate
| get

Get the rate at which messages are being written to storage.

Returns
  the operations per second.

long TIBCO.EMS.ADMIN.ServerInfo.DiskWriteRate
| get

Get the rate at which messages are being written to storage. Does not apply to database stores.

Returns
  the bytes per second.

int TIBCO.EMS.ADMIN.ServerInfo.DurableCount
| get

Get the number of durable subscribers in the server.

Returns
  the number of durable subscribers.

string TIBCO.EMS.ADMIN.ServerInfo.DurablesFile
| get

Get the name and location of the configuration file containing the definitions of pre-configured durable subscribers.

Returns
  the name (including full path) of the durables file.

bool TIBCO.EMS.ADMIN.ServerInfo.Evaluation
| get

Indicates whether the server binary is an evaluation copy or a fully licensed one.

Returns
  true if software is evaluation release, false otherwise.

string TIBCO.EMS.ADMIN.ServerInfo.FactoriesFile
| get

Get the name and location of the configuration file containing the definitions of connection factories.

Returns
  the name (including full path) of the factories file.

int TIBCO.EMS.ADMIN.ServerInfo.FaultTolerantActivation
| get

Get the length of time a backup server will wait for a heartbeat message before concluding that the active server has failed.

Returns
  the activation interval in seconds.

bool TIBCO.EMS.ADMIN.ServerInfo.FaultTolerantFailoverReread
| get

Deprecated as of 6.0

Returns
  true if the configuration will be reread following failover, false otherwise.

int TIBCO.EMS.ADMIN.ServerInfo.FaultTolerantHeartbeat
| get

Get the period (in seconds) of the heartbeat messages sent by the active server.

Returns
  the heartbeat period in seconds.

int TIBCO.EMS.ADMIN.ServerInfo.FaultTolerantReconnectTimeout
| get

Get the length of time a server which has just become the active server following a failover will wait for clients to reconnect before their state is removed from the shared state.

Returns
  the reconnect timeout interval in seconds.

SSLParams TIBCO.EMS.ADMIN.ServerInfo.FaultTolerantSSLParams
| get

Get the server's Fault Tolerant SSL parameters. These are the parameters that the server uses to connect to its Fault Tolerant partner.

Returns
  the FT SSL parameters if set, null otherwise.

string TIBCO.EMS.ADMIN.ServerInfo.FaultTolerantURL
| get

Get the URL of the fault-tolerant server for this server.

This is same as set by the ft_active parameter in the server configuration file.

Returns
  the URL in String form or null if fault-tolerant server is not specified.

bool TIBCO.EMS.ADMIN.ServerInfo.FlowControlEnabled
| get

Indicates whether or not flow control is enabled.

Flow control involves limiting the rate of publication of messages when receivers are unable to keep up with the publisher(s). For a destination to be flow controlled, lowControlEnabled must be true and a FlowControlMaxBytes must return a non-zero value.

Returns
  true if flow control is enabled, false otherwise.

bool TIBCO.EMS.ADMIN.ServerInfo.FSyncEnabled
| get

Indicates whether or not the fsync mode is used by the server when writing data to its store file.

On most platforms this is not the most efficient way to write to the store file.

Returns
  true if fsync is enabled, false otherwise.

FTLParams TIBCO.EMS.ADMIN.ServerInfo.FTLParams
| get

Get the FTL parameters used by the server for the FTL gateway.

Returns
  the FTL parameters if set, null otherwise.

string TIBCO.EMS.ADMIN.ServerInfo.FTSSLPassword
| set

Set the new private key or PKCS12 file password for fault-tolerant SSL connection.

string TIBCO.EMS.ADMIN.ServerInfo.GroupsFile
| get

Get the name and location of the configuration file containing the definitions of groups.

Returns
  the name (including full path) of the groups file.

string TIBCO.EMS.ADMIN.ServerInfo.HealthCheckListen
| get

Get the configured listen URL for an EMS HTTP health check service.

Returns
  a string with the listen URL for health service if configured, null otherwise

Since EMS 8.5.0

string TIBCO.EMS.ADMIN.ServerInfo.Hostname
| get

Get the hostname of the connected server.

Returns
  the hostname of the connected server.

Since EMS 8.4.0

long TIBCO.EMS.ADMIN.ServerInfo.InboundBytesRate
| get

Get the volume of inbound messages per second for the server as a whole.

Returns
  the inbound rate in bytes per second rate.

long TIBCO.EMS.ADMIN.ServerInfo.InboundMessageCount
| get

Get the number of inbound messages for the server.

Returns
  the number of inbound messages.

long TIBCO.EMS.ADMIN.ServerInfo.InboundMessageRate
| get

Get the number of inbound messages per second for the server as a whole.

Returns
  the inbound message rate.

string TIBCO.EMS.ADMIN.ServerInfo.JRELibrary
| get

summary> Get the options being used by the server's jvm. /summary> returns> The value of the setting. Null will be returned if this server does not have the jvm enabled. /returns>

long TIBCO.EMS.ADMIN.ServerInfo.LargeDestCount
| get set

Get or set the number of messages that an unbounded destination can hold before the server starts logging warnings about the destination's message count.

Returns
  the number of messages that an unbounded destination can hold before the server starts logging warnings about the destination's message count, or 0 if this logging is disabled.

Since EMS 8.4.0

long TIBCO.EMS.ADMIN.ServerInfo.LargeDestMemory
| get set

Get or set the amount of message memory in bytes that an unbounded destination can hold before the server starts logging warnings about the destination's size.

Returns
  the amount of message memory in bytes that an unbounded destination can hold before the server starts logging warnings about the destination's size, or 0 if this logging is disabled.

Since EMS 8.4.0

LDAPParams TIBCO.EMS.ADMIN.ServerInfo.LDAPParams
| get

Get the LDAP parameters used by the server when authenticating through LDAP server.

Returns
  the LDAP parameters if set, null otherwise.

string [] TIBCO.EMS.ADMIN.ServerInfo.ListenPorts
| get

Get the server's listener ports.

Returns
  an array of server listen ports.

int TIBCO.EMS.ADMIN.ServerInfo.LogFileMaxCount
| get

Get the maximum allowed number of log files.

Returns
  the maximum allowed number of log files.

long TIBCO.EMS.ADMIN.ServerInfo.LogFileMaxSize
| get

Get the maximum allowed size of the log file.

Returns
  the maximum allowed size of the log file in bytes.

string TIBCO.EMS.ADMIN.ServerInfo.LogFileName
| get

Get the log file name.

Returns
  the log file name or null if log file not set.

long TIBCO.EMS.ADMIN.ServerInfo.LogFileSize
| get

Get the total size of the log file.

Returns
  the size of the log file or 0 if log file is not set.

TraceInfo TIBCO.EMS.ADMIN.ServerInfo.LogTraceInfo
| get set

Get or set the trace settings that determine what will be logged in the server's log file.

This method does not copy the TraceInfo object. Therefore, to modify the trace settings, one needs to modify the TraceInfo object returned by this method and save the ServerInfo object.

Returns
  a TraceInfo object representing the current log trace settings.

long TIBCO.EMS.ADMIN.ServerInfo.MaxClientMsgSize
| get

Get the maximum allowed size of an incoming client message.

Returns
  the maximum allowed size of incoming client message in bytes, or zero if not enabled.

int TIBCO.EMS.ADMIN.ServerInfo.MaxConnections
| get

Get the maximum number of connections this server will allow.

Returns
  the maximum number of connections or zero if not set.

long TIBCO.EMS.ADMIN.ServerInfo.MaxMsgMemory
| get set

Get or set the maximum allowed message memory.

Returns
  the maximum allowed message memory in bytes, or 0 if no limit is set.

Lowering this value will not immediately free memory occupied by messages.

Exceptions

  ArgumentException | if maxMsgMemory is less than 64KB.

long TIBCO.EMS.ADMIN.ServerInfo.MaxStatisticsMemory
| get set

Get or set the maximum amount of memory that will be allocated to collecting statistics.

Returns
  the maximum statistics memory in bytes.

The maximum must at least 64KB. The maximum number of bytes of memory that will be allocated to gathering detailed statistics. If bytes is 0 then this indicates no limit.

Exceptions

  ArgumentException | if bytes is less than 64KB.

long TIBCO.EMS.ADMIN.ServerInfo.MessagePoolBlockSize
| get

Get the value of the msg_pool_block_size setting.

Returns
  the value of the setting or 0 if not enabled.

long TIBCO.EMS.ADMIN.ServerInfo.MessagePoolSize
| get

Get the value of the msg_pool_size setting.

Returns
  the value of the setting or 0 if not enabled.

bool TIBCO.EMS.ADMIN.ServerInfo.MessageSwappingEnabled
| get set

Get or set whether or not server message swapping is enabled.

Returns
  true if server message swapping is enabled, false otherwise.

long TIBCO.EMS.ADMIN.ServerInfo.MsgMem
| get

Get the amount of memory in use to store messages.

Returns
  the size in bytes.

long TIBCO.EMS.ADMIN.ServerInfo.MsgMemPooled
| get

Get the amount of memory in use by the message pools.

Returns
  the size in bytes.

bool TIBCO.EMS.ADMIN.ServerInfo.MulticastEnabled
| get

Indicates whether or not multicast is enabled.

Returns
  true if multicast is enabled, false otherwise.

Deprecated:
  As of release 8.3

long TIBCO.EMS.ADMIN.ServerInfo.MulticastStatisticsInterval
| get set

Get or set the multicast statistics interval in milliseconds.

Returns
  the multicast statistics interval in milliseconds.

Value is rounded to nearest second. If the interval is set to 0, it disables collecting multicast statistics.

Exceptions

  ArgumentException | if value is negative.

Deprecated:
  As of release 8.3

int TIBCO.EMS.ADMIN.ServerInfo.NPSendCheckMode
| get

Returns global send check mode for NON_PERSISTENT messages.

If property not defined in the server this method returns Tibems.NPSEND_CHECK_DEFAULT return send check mode for NON_PERSISTENT messages. Values are constants beginning with `NPSEND_...` documented in Tibems class, such as Tibems.NPSEND_CHECK_DEFAULT.

long TIBCO.EMS.ADMIN.ServerInfo.OutboundBytesRate
| get

Get the volume of outbound messages per second for the server as a whole.

Returns
  the outbound rate in bytes per second rate.

long TIBCO.EMS.ADMIN.ServerInfo.OutboundMessageCount
| get

Get the number of outbound messages for the server.

Returns
  the number of outbound messages

long TIBCO.EMS.ADMIN.ServerInfo.OutboundMessageRate
| get

Get the number of outbound messages per second for the server as a whole.

Returns
  the outbound message rate.

int TIBCO.EMS.ADMIN.ServerInfo.OverallSyncProgress
| get

Get the current overall progress of the synchronization of store files for this server when it is running in the EMS Appliance.

Returns
  the synchronization progress percentage as an integer between 0 and 100 or -1 either if no synchronization is ongoing or if requested from a server that is running outside the EMS Appliance

Since EMS 8.1.0

string TIBCO.EMS.ADMIN.ServerInfo.Password
| set

Set the new server password.

long TIBCO.EMS.ADMIN.ServerInfo.PendingMessageCount
| get

Get the total number of pending messages for this server.

Returns
  the number of pending messages.

long TIBCO.EMS.ADMIN.ServerInfo.PendingMessageSize
| get

Get the total size of pending messages for this server.

Returns
  the size of pending messages.

int TIBCO.EMS.ADMIN.ServerInfo.ProcessId
| get

Get the current process id of the server.

Returns
  the server process id.

int TIBCO.EMS.ADMIN.ServerInfo.ProducerCount
| get

Get the total number of producers.

Returns
  total number of producers.

since EMS 4.4

int TIBCO.EMS.ADMIN.ServerInfo.QueueCount
| get

Get the number of queues in the server.

Returns
  the number of queues.

string TIBCO.EMS.ADMIN.ServerInfo.QueuesFile
| get

Get the name and location of the configuration file containing the definitions of queues.

Returns
  the name (including full path) of the queues file.

long TIBCO.EMS.ADMIN.ServerInfo.RateInterval
| get set

Get or set the statistics rate interval in milliseconds.

Returns
  the statistics rate interval in milliseconds.

The value is rounded to nearest second. If the value is set to 0, this disables collecting the message rate for producers, consumers and destinations.

Exceptions

  ArgumentException | if value is negative.

long TIBCO.EMS.ADMIN.ServerInfo.ReserveMemory
| get

Get the amount of reserve memory in bytes.

Returns
  the amount of reserve in bytes or 0 if not enabled.

int TIBCO.EMS.ADMIN.ServerInfo.RouteRecoverCount
| get

Get route recover message count.

Returns
  the route recover message count.

long TIBCO.EMS.ADMIN.ServerInfo.RouteRecoverInterval
| get

Get route recover interval in milliseconds.

Returns
  the route recover interval in milliseconds.

string TIBCO.EMS.ADMIN.ServerInfo.RoutesFile
| get

Get the name and location of the configuration file containing the definitions of routes.

Returns
  the name (including full path) of the routes file.

bool TIBCO.EMS.ADMIN.ServerInfo.RoutingEnabled
| get

Indicates whether or not routing of messages between servers is enabled.

Returns
  true if routing is enabled, false otherwise.

string TIBCO.EMS.ADMIN.ServerInfo.RuntimeModulePath
| get

Get the module path's runtime value, which may be different from the value configured.

Returns
  the runtime value of the server's module path.

Since EMS 8.3.0

string TIBCO.EMS.ADMIN.ServerInfo.SecondaryHealthCheckListen
| get

Get the configured secondary listen URL for an EMS HTTP health check service.

Returns
  a string with the secondary listen URL for health check service if configured, null otherwise

Since EMS 8.5.0

string TIBCO.EMS.ADMIN.ServerInfo.SecondaryLogFileName
| get

Get the secondary log file name.

Returns
  the secondary log file name or null if log file not set.

ConfigurationMode TIBCO.EMS.ADMIN.ServerInfo.ServerConfigurationMode
| get

Gets the configuration mode of the server.

Returns
  a ConfigurationMode value representing the server configuration type. ConfigurationMode.Conf represents the *.conf file format and ConfigurationMode.JSON represents the JSON based server configuration format.

int TIBCO.EMS.ADMIN.ServerInfo.ServerHeartbeatClientInterval
| get

Returns interval between heartbeats this server sends to client connections.

Returns
  interval in seconds or 0 if not specified and heartbeats are not sent.

ClientTimeoutServerConnection

int TIBCO.EMS.ADMIN.ServerInfo.ServerHeartbeatServerInterval
| get

Returns interval between heartbeats this server requests other servers to send to this server.

Returns
  interval in seconds or 0 if not specified and heartbeats are not sent.

ServerTimeoutServerConnection

string TIBCO.EMS.ADMIN.ServerInfo.ServerName
| get

Get the name of the server.

Returns
  the name of the server.

long TIBCO.EMS.ADMIN.ServerInfo.ServerRateInterval
| get set

Get or set the server statistics rate interval in milliseconds.

Returns
  the server statistics rate interval in milliseconds.

The value is rounded to nearest second. Serverwide statistics are always collected.

Exceptions

  ArgumentException | if value is less than 1 second.

int TIBCO.EMS.ADMIN.ServerInfo.ServerTimeoutClientConnection
| get

Returns timeout after which this server destroys connection from client application if heartbeats were not being received.

Returns
  timeout interval in seconds or 0 if not specified and this server does not check heartbeats from client connections.

ClientHeartbeatServerInterval

int TIBCO.EMS.ADMIN.ServerInfo.ServerTimeoutServerConnection
| get

Returns timeout after which this server destroys connection fromanother server if heartbeats were not being received.

Returns
  timeout interval in seconds or 0 if not specified and this server does not check heartbeats from other servers.

ServerHeartbeatServerInterval

int TIBCO.EMS.ADMIN.ServerInfo.SessionCount
| get

Get the number of sessions created by client applications.

Returns
  the number of sessions.

since EMS 4.4

string TIBCO.EMS.ADMIN.ServerInfo.SSLCertUserSpecname
| get

Get the username clients will use to connect to the server when their username is to be extracted from the CN field of their digital certificate.

Returns
  the username if set, null otherwise.

int TIBCO.EMS.ADMIN.ServerInfo.SSLDHSize
| get

Get the size of the Diffie-Hellman key used by the server for client communications.

Returns
  the size in bits.

SSLParams TIBCO.EMS.ADMIN.ServerInfo.SSLParams
| get

Get the SSL parameters used by the server when communicating with SSL clients.

Returns
  the SSL parameters if set, null otherwise.

string TIBCO.EMS.ADMIN.ServerInfo.SSLPassword
| set

Set the new server's private key or PKCS12 file password.

bool TIBCO.EMS.ADMIN.ServerInfo.SSLRequireClientCert
| get

Indicates whether or not the server will only accept SSL clients that have certificates.

Returns
  true if clients are required to have certificates, false otherwise.

bool TIBCO.EMS.ADMIN.ServerInfo.SSLRequireRouteCertOnly
| get

Indicates whether or not the server requires a certificate only for incoming route SSL connections, while leaving the other types of connections unaffected (clients and FT peer).

Returns
  true if only routes are required to have certificates, false otherwise.

Since EMS 8.4.0

bool TIBCO.EMS.ADMIN.ServerInfo.SSLUserCertUsername
| get

Indicates whether or not the client's username is always extracted from the CN field of the client's digital certificate.

Returns
  true if the client's username is to be extracted, false otherwise.

long TIBCO.EMS.ADMIN.ServerInfo.StartTime
| get

Get the server start time.

Returns
  the server start time in milliseconds

State TIBCO.EMS.ADMIN.ServerInfo.State
| get

Get the current state of the server.

Returns
  the server state as an enum.

Obsolete as of EMS 8.1.0 as it will not return state values that pertain to the EMS Appliance fault tolerance mode introduced with this release.

Deprecated:
  As of 8.1.0. Use either StateInfo.StateObj.StateVal or ServerInfo.StateObj.StateVal instead.

StateObj TIBCO.EMS.ADMIN.ServerInfo.StateObj
| get

Get the current state of the server.

Returns
  the State object representing the server's state.

Since EMS 8.1.0

long TIBCO.EMS.ADMIN.ServerInfo.StatisticsCleanupInterval
| get set

Get or set the statistics cleanup interval in milliseconds.

Returns
  the statistics cleanup interval in milliseconds.

Value is rounded to nearest second. If the interval is set to 0, it disables removing inactive destinations from the detailed statistics collected for producers, consumers and destinations.

Exceptions

  ArgumentException | if value is negative.

bool TIBCO.EMS.ADMIN.ServerInfo.StatisticsEnabled
| get set

Get or set whether or not statistics are enabled.

Returns
  true if statistics are enabled, false otherwise.

Statistics are gathered for each producer, consumer, routed server and other. This parameter has no effect on the serverwide rates gathering, which is performed regardless of this parameter.

long TIBCO.EMS.ADMIN.ServerInfo.StoreAsyncMinimum
| get

Get the minimum size of the server's asynchronous store file.

Returns
  the minimum size in bytes or 0 if no minimum is set.

bool TIBCO.EMS.ADMIN.ServerInfo.StoreCRCEnabled
| get

Indicates whether or not the server uses CRC verification when reading data from the store files.

Returns
  true if the server does use CRC verification, false otherwise.

string TIBCO.EMS.ADMIN.ServerInfo.StoreDirectory
| get

Get the directory in which the server is storing its store files.

Returns
  the server store files directory.

long TIBCO.EMS.ADMIN.ServerInfo.StoreMinimum
| get

Get the minimum size of the server store files.

Returns
  the minimum size in bytes or 0 if no minimum is set.

string TIBCO.EMS.ADMIN.ServerInfo.StoresFile
| get

Get the name and location of the configuration file containing the definitions of pre-configured stores.

Returns
  the name (including full path) of the stores file.

long TIBCO.EMS.ADMIN.ServerInfo.StoreSyncMinimum
| get

Get the minimum size of the server's synchronous store file.

Returns
  the minimum size in bytes or 0 if no minimum is set.

bool TIBCO.EMS.ADMIN.ServerInfo.StoreTruncateEnabled
| get

Indicates whether or no the server will attempt to truncate the store files when possible.

Returns
  true if the server will truncate the store files, false otherwise.

long TIBCO.EMS.ADMIN.ServerInfo.SyncDBSize
| get

Get the current size of the synchronous message store.

Returns
  the size in bytes.

string TIBCO.EMS.ADMIN.ServerInfo.TibrvcmFile
| get

Get the name and location of the configuration file containing the definitions of pre-configured TIBCO Rendezvous Certified Messaging listeners.

Returns
  the name (including full path) of the tibrvcm file.

bool TIBCO.EMS.ADMIN.ServerInfo.TibrvTransportsEnabled
| get

Indicates whether or not bridging to and from transports of type tibrv and tibrvcm is enabled.

If this is not enabled then, even though transports of this type may be defined in the transports.conf file, messages will not be exported to or imported from those transports.

Returns
  true if TIBCO Rendezvous bridge is enabled, false otherwise.

bool TIBCO.EMS.ADMIN.ServerInfo.TibssTransportsEnabled
| get

Indicates whether or not bridging to and from SmartSockets transports is enabled.

If this is not enabled then, even though transports of this type may be defined in the transports.conf file, messages will not be exported to or imported from those transports.

Returns
  true if TIBCO SmartSockets bridge is enabled, false otherwise.

int TIBCO.EMS.ADMIN.ServerInfo.TopicCount
| get

Get the number of topics in the server.

Returns
  the number of topics.

string TIBCO.EMS.ADMIN.ServerInfo.TopicsFile
| get

Get the name and location of the configuration file containing the definitions of topics.

Returns
  the name (including full path) of the topics file.

long TIBCO.EMS.ADMIN.ServerInfo.TraceBufferSize
| get set

Reserved for internal provider use only. Do not use this property.

TraceInfo TIBCO.EMS.ADMIN.ServerInfo.TraceBufferTraceInfo
| get set

Reserved for internal provider use only. Do not use this property.

bool TIBCO.EMS.ADMIN.ServerInfo.TrackCorrelationIds
| get set

Gets or sets whether or not tracking messages by correlation ID is enabled.

Returns
  true if tracking messages by correlation ID is enabled, false otherwise.

bool TIBCO.EMS.ADMIN.ServerInfo.TrackMsgIds
| get set

Gets or sets whether or not tracking messages by message ID is enabled.

Returns
  true if tracking messages by message ID is enabled, false otherwise.

string TIBCO.EMS.ADMIN.ServerInfo.TransportsFile
| get

Get the name and location of the configuration file containing the definitions of external transports.

Returns
  the name (including full path) of the transports file.

long TIBCO.EMS.ADMIN.ServerInfo.UpTime
| get

Get the server uptime.

Uptime is how long this invocation of the server has been running.

Returns
  the server uptime in milliseconds.

string TIBCO.EMS.ADMIN.ServerInfo.URL
| get

Get the URL that should be used to contact this server.

Returns
  the URL in String form.

AuthenticationLocation [] TIBCO.EMS.ADMIN.ServerInfo.UserAuthLocations
| get

Gets an array indicating where users will be authenticated.

The order of the array is the order in which the server uses them for authentication. /remarks>

Returns
  the array or null if no locations have been configured.

string TIBCO.EMS.ADMIN.ServerInfo.UsersFile
| get

Get the name and location of the configuration file containing the definitions of users.

Returns
  the name (including full path) of the users file.

VersionInfo TIBCO.EMS.ADMIN.ServerInfo.VersionInfo
| get

Get the version of TIBCO Enterprise Message Service that the server binary is from.

Returns
  the VersionInfo object representing the server's version.

int TIBCO.EMS.ADMIN.ServerInfo.XADefaultTimeout
| get

Get the default timeout for XA transactions in seconds.

Returns
  the default timeout for XA transactions in seconds.